Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
phone
/
message-types
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    factors "github.com/auth0/go-auth0/management/guardian/factors"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.Phone.SetMessageTypes(
        context.TODO(),
        &factors.SetGuardianFactorPhoneMessageTypesRequestContent{
            MessageTypes: []management.GuardianFactorPhoneFactorMessageTypeEnum{
                management.GuardianFactorPhoneFactorMessageTypeEnumSms,
            },
        },
    )
}
{
  "message_types": [
    "sms"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

message_types
enum<string>[]
required

The list of phone factors to enable on the tenant. Can include sms and voice.

Available options:
sms,
voice

Response

Returns selected SMS provider configuration

message_types
enum<string>[]

The list of phone factors to enable on the tenant. Can include sms and voice.

Available options:
sms,
voice